name: Browerless Chrome
services:
  NodeGroupInventoryWallet:
    name: NodeGroupInventoryWallet
    type: NodeGroupInventoryWallet
    apiVersion: core.meshery.io/v1alpha1
    version: 0.7.1
    model: meshery-core
    dependsOn:
    - dry-run-release-browserless-chrome-avdrb
    traits:
      meshmap:
        edges: []
        id: cd03896c-94d7-4618-941d-a78a525dde19
        label: NodeGroupInventoryWallet
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Meshery Core
          hostID: 00000000-0000-0000-0000-000000000000
          id: 5400b823-94ee-543c-8877-4ca3e299fcc4
          metadata:
            isAnnotation: false
            published: true
            subCategory: App Definition and Development
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          name: meshery-core
          relationships: []
          status: registered
          version: 0.7.1
        meshmodel-metadata:
          capabilities: |-
            {
              "designer": {
                "pass-events-to": "parent",
                "edit": {
                  "config": false,
                  "copy": false,
                  "delete": false,
                  "duplicate": false,
                  "reset-styles": false,
                  "resolve": false,
                  "lock": false,
                  "shape": {
                    "convert-shape": false
                  },
                  "style": false
                },
                "label": {
                  "edit": false,
                  "show": false,
                  "sync-with-config-property": "none"
                }
              }
            }
          defaultData: '{"label":""}'
          genealogy: parent
          hasInvalidSchema: true
          isAnnotation: true
          primaryColor: '#00B39F'
          published: true
          secondaryColor: '#00D3A9'
          shape: round-rectangle
          shapePolygonPoints: ""
          styleOverrides: '{"height":"30px","width":"30px", "background-image":"none","border-width":0,"border-style":"dashed","background-opacity":0.1,"data":{"label":""}}'
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":1,"border-style":"dashed","background-opacity":0.1}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/anchornode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/anchornode-white.svg
        parent: 0d398bc4-e2d2-4378-9cdf-b72798842b69
        position:
          posX: 49.25
          posY: -12.999999999999996
        whiteboardData: {}
  comment-nx:
    name: comment-nx
    type: Comment
    apiVersion: core.meshery.io/v1alpha1
    namespace: default
    version: 0.7.1
    model: meshery-core
    settings:
      lastUpdated: "2024-04-30T20:28:15.342Z"
      status: false
      user Messages: []
      usersMessages:
      - avatarUrl: https://pbs.twimg.com/profile_images/880205475643441152/V_vhfnzb_400x400.jpg
        firstName: Lee
        lastName: Calcote
        message: "@[Márk Sági-Kazár](afa0e96a-df8b-4703-bd34-17a8857447ad) I loaded
          up one of your helm charts. Pretty cool. \U0001F44D"
        timestamp: "2024-04-30T20:28:15.342Z"
        userid: 090e7114-509a-4046-81f1-9c5fb8daf724
    traits:
      meshmap:
        edges: []
        id: 60bb2696-3d7c-4f85-8a9c-c733b0c923f4
        label: comment-nx
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Meshery Core
          hostID: 00000000-0000-0000-0000-000000000000
          id: 5400b823-94ee-543c-8877-4ca3e299fcc4
          metadata:
            isAnnotation: false
            published: true
            subCategory: App Definition and Development
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          name: meshery-core
          relationships: []
          status: registered
          version: 0.7.1
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: true
          primaryColor: '#FFDE00'
          published: true
          secondaryColor: '#FFDE00'
          shape: tag
          shapePolygonPoints: ""
          styleOverrides:
            height: 22px
            width: 22px
            x: 3.5px
            "y": 7.5px
            z-index: 11
          styles: '{"height":"22px","width":"22px","x":"3.5px","y":"7.5px"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/comment-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/color/comment-color.svg
        position:
          posX: -113.6069417939994
          posY: -4.234833483902072
        whiteboardData: {}
  comment-wp:
    name: comment-wp
    type: Comment
    apiVersion: core.meshery.io/v1alpha1
    namespace: default
    version: 0.7.1
    model: meshery-core
    traits:
      meshmap:
        edges: []
        id: c306a388-2e1d-4606-b1f6-a5a061b86bd0
        label: Comment
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: []
          displayName: Meshery Core
          hostID: 00000000-0000-0000-0000-000000000000
          id: 5400b823-94ee-543c-8877-4ca3e299fcc4
          metadata:
            isAnnotation: false
            published: true
            subCategory: App Definition and Development
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          name: meshery-core
          relationships: []
          status: registered
          version: 0.7.1
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: true
          primaryColor: '#FFDE00'
          published: true
          secondaryColor: '#FFDE00'
          shape: tag
          shapePolygonPoints: ""
          styleOverrides:
            height: 22px
            width: 22px
            x: 3.5px
            "y": 7.5px
            z-index: 11
          styles: '{"height":"22px","width":"22px","x":"3.5px","y":"7.5px"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/comment-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/color/comment-color.svg
        position:
          posX: 279.83331298828125
          posY: 84.89999389648438
        whiteboardData: {}
  dry-run-release-browserless-chrome-avdrb:
    name: dry-run-release-browserless-chrome
    type: Deployment
    apiVersion: apps/v1
    namespace: default
    model: kubernetes
    labels:
      app.kubernetes.io/instance: dry-run-release
      app.kubernetes.io/managed-by: Helm
      app.kubernetes.io/name: browserless-chrome
      app.kubernetes.io/version: 1.48.0
      helm.sh/chart: browserless-chrome-0.0.4
    settings:
      spec:
        replicas: 1
        selector:
          match Labels:
            app.kubernetes.io/instance: dry-run-release
            app.kubernetes.io/name: browserless-chrome
        template:
          metadata:
            labels:
              app.kubernetes.io/instance: dry-run-release
              app.kubernetes.io/name: browserless-chrome
          spec:
            containers:
            - image: browserless/chrome:1.48.0-chrome-stable
              image Pull Policy: IfNotPresent
              liveness Probe:
                tcp Socket:
                  port: http
              name: browserless-chrome
              ports:
              - container Port: 3000
                name: http
                protocol: TCP
              readiness Probe:
                http Get:
                  path: /pressure
                  port: http
              resources: {}
              security Context: {}
            security Context: {}
            service Account Name: dry-run-release-browserless-chrome
    traits:
      meshmap:
        edges: []
        id: 0d398bc4-e2d2-4378-9cdf-b72798842b69
        label: dry-run-release-browserless-chrome
        meshmodel-metadata:
          capabilities: |2-
             {
              "designer": {
                "edit": {
                  "shape": {
                    "convert-shape": false
                  }
                }
              }
            }
          defaultData: ""
          genealogy: parent
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: Created by Meshery Authors
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-pentagon
          shapePolygonPoints: ""
          styleOverrides:
            background-opacity: 0.5
            border-width: 2
            z-index: 3
          styles: '{"border-width":2,"background-opacity":0.5}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/deployment-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/deployment-white.svg
        position:
          posX: 49.25
          posY: -12.999999999999996
        whiteboardData: {}
  dry-run-release-browserless-chrome-enujb:
    name: dry-run-release-browserless-chrome
    type: Service
    apiVersion: v1
    namespace: default
    model: kubernetes
    labels:
      app.kubernetes.io/instance: dry-run-release
      app.kubernetes.io/managed-by: Helm
      app.kubernetes.io/name: browserless-chrome
      app.kubernetes.io/version: 1.48.0
      helm.sh/chart: browserless-chrome-0.0.4
    settings:
      spec:
        ports:
        - app Protocol: http
          name: http
          port: 80
          protocol: TCP
          target Port: http
        selector:
          app.kubernetes.io/instance: dry-run-release
          app.kubernetes.io/name: browserless-chrome
        type: ClusterIP
    traits:
      meshmap:
        edges: []
        id: 6978a7c1-eb29-4222-9240-cb83a08cf511
        label: dry-run-release-browserless-chrome
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-triangle
          shapePolygonPoints: ""
          styleOverrides:
            background-position-y: 4.5
            height: 20
            padding: 12
            width: 20
            x: 10px
            "y": 12px
            z-index: 3
          styles: '{"height":20,"width":20,"padding":12,"background-position-y":4.5,"x":"10px","y":"12px"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/service-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/service-white.svg
        position:
          posX: -18.75
          posY: -11.5
        whiteboardData: {}
  dry-run-release-browserless-chrome-vwbuw:
    name: dry-run-release-browserless-chrome
    type: ServiceAccount
    apiVersion: v1
    namespace: default
    model: kubernetes
    labels:
      app.kubernetes.io/instance: dry-run-release
      app.kubernetes.io/managed-by: Helm
      app.kubernetes.io/name: browserless-chrome
      app.kubernetes.io/version: 1.48.0
      helm.sh/chart: browserless-chrome-0.0.4
    settings:
      image Pull Secrets: []
      secrets: []
    traits:
      meshmap:
        edges: []
        id: ca0302fe-09c1-4595-ac29-907ff6dcbede
        label: dry-run-release-browserless-chrome
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: bottom-round-rectangle
          shapePolygonPoints: ""
          styleOverrides: ""
          styles: ""
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/serviceaccount-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/serviceaccount-white.svg
        position:
          posX: -18.75
          posY: 57.5
        whiteboardData: {}
